%define shortname thunar-thumbnailers
Name: thunar-thumbnailers-plugin
Version: 0.4.1
Release: alt3

Summary: Thunar thumbnailers plugin
Summary (ru_RU.UTF-8): Дополнения файлового менеджера Thunar для отображения миниатюр файлов
License: GPL
Group: Graphical desktop/XFce
Url: http://goodies.xfce.org/projects/thunar-plugins/thunar-thumbnailers
Packager: Denis Koryavov <dkoryavov@altlinux.org>

Source: http://goodies.xfce.org/releases/thunar-thumbnailers/%shortname-%version.tar.bz2
Source1: %name.watch
Requires: ImageMagick dcraw unzip ffmpegthumbnailer

# Automatically added by buildreq on Tue Sep 08 2009
BuildRequires: ImageMagick-tools dcraw ffmpegthumbnailer unzip xfce4-dev-tools

%description
The thunar-thumbnailers project provides additional thumbnailers for use by the
Thunar file manager. Thumbnailers are little utilities that run in the back-
ground to generate previews for certain file types.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе дополнение для файлового менеджера Thunar позволяющее 
отображать миниатюры определенного количества файлов вместо их иконок. Например,
для фотографии будет отображаться её уменьшенная копия, для видеофайла - его фрагмент.

%prep
%setup -n %shortname-%version

%build
aclocal -I %_datadir/xfce4/dev-tools/m4macros/
autoconf
automake -f -a -c
%configure --enable-raw --enable-ffmpeg
%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_libexecdir/*
%_datadir/thumbnailers/*
%_datadir/mime/packages/thunar-thumbnailers.xml

%changelog
* Wed Sep 09 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.4.1-alt3
- Added raw and video thumbnails options

* Mon Sep 07 2009 Denis Koryavov <dkoryavov@altlinux.org> 0.4.1-alt2
- Added russian translation for Description and Summary fields.

* Mon Dec 29 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.1-alt1
- new version

* Wed May 14 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.2-alt1
- new version

* Fri Jan 04 2008 Eugene Ostapets <eostapets@altlinux.org> 0.3.0-alt1
- first build for Sisyphus

